/*     
 * $RCSfile: xk_arch.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Log: xk_arch.h,v $
 * Revision 1.2  1997/01/28 22:31:48  rrp
 * *** empty log message ***
 *
 * Revision 1.1  1996/01/30 20:58:56  slm
 * Initial revision
 *
 * Revision 1.2.1.1  1994/10/28  17:34:12  hkaram
 * New branch
 *
 * Revision 1.2  1994/05/06  20:27:23  gordon
 * *** empty log message ***
 *
 * Revision 1.1  1994/04/07  03:46:20  ho
 * Initial revision
 *
 * Revision 1.2  1994/02/05  00:06:39  menze
 *   [ 1994/01/29          menze ]
 *   Definitions for xk_u_int* and xk_int* types
 *
 * Revision 1.1  1994/01/04  21:28:59  menze
 * Initial revision
 */

/*
 * for use when length matters (e.g., protocol header fields).
 */
#define xk_int8		char
#define xk_int16	short
#define xk_int32	int
#define XK_INT32_HEX_FORMAT     "%x"
#define XK_INT32_DEC_FORMAT	"%d"

#define xk_u_int8	unsigned char
#define xk_u_int16	unsigned short
#define xk_u_int32	unsigned int

/*
 * LONG_ALIGNMENT_REQUIRED indicates that int's must be 32-bit aligned
 * on this architecture.
 */
#define LONG_ALIGNMENT_REQUIRED
#define LONG_ALIGNED(address)  (! ((int)(address) & 0x3))
#define SHORT_ALIGNED(address) ( ! ((int)(address) & 0x1))

